classification
Title: test_lib2to3 fails if path contains space
Type: behavior Stage: patch review
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, flox, pitrou
Priority: normal Keywords: buildbot, patch

Created on 2010-01-10 17:36 by flox, last changed 2010-03-22 22:21 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
lib2to3_path_with_space_v2.diff flox, 2010-03-22 17:28 Patch, apply to 2.x
Messages (5)
msg97525 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-10 17:36
test_lib2to3
diff: opérande supplémentaire « unicode/Lib/lib2to3/pytree.py »
diff: Pour en savoir davantage, faites: « diff --help ».
test test_lib2to3 failed -- Traceback (most recent call last):
  File "/tmp/py2u… → un\icode/Lib/lib2to3/tests/test_parser.py", line 164, in test_all_project_files
    self.fail("Idempotency failed: %s" % filepath)
AssertionError: Idempotency failed: /tmp/py2u… → un\icode/Lib/lib2to3/pytree.py


Patch attached.
msg97550 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-01-10 20:44
Fixed in r77419.
msg98452 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-27 23:23
The fix on r77419 do not work.

The patch in attachment behaves better.
msg101522 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-03-22 17:28
Ultimate pach, tested with this insane path:

>>> os.getcwdu()
u'/home/user/dev/python/py2u;\u2026 \u2192 u"n\\ic\'ode'

It should fix some buildbot failures.
msg101540 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-03-22 22:21
Resolved in r79304.
History
Date User Action Args
2010-03-22 22:21:07benjamin.petersonsetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg101540
2010-03-22 17:28:52floxsetfiles: + lib2to3_path_with_space_v2.diff
priority: normal

components: + 2to3 (2.x to 3.x conversion tool), - Tests
assignee: benjamin.peterson

keywords: + buildbot, patch
nosy: + pitrou
messages: + msg101522
resolution: accepted
2010-03-22 17:24:04floxsetfiles: - lib2to3_path_with_space.py
2010-01-27 23:23:24floxsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg98452
2010-01-10 20:44:50benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg97550

resolution: fixed
2010-01-10 17:36:09floxcreate